Skip to main content
DELETE
/
catchAll
/
datasets
/
{dataset_id}
/
entities
Remove entities from dataset
curl --request DELETE \
  --url https://catchall.newscatcherapi.com/catchAll/datasets/{dataset_id}/entities \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "entity_ids": [
    "854198fa-f702-49db-a381-0427fa87f173"
  ]
}
'
{
  "dataset_id": "ccabb755-afc2-4047-b84c-78d1f23d49b2",
  "affected_count": 1
}

Authorizations

x-api-key
string
header
required

API key for authentication.

Path Parameters

dataset_id
string<uuid>
required

Unique dataset identifier.

Body

application/json
entity_ids
string<uuid>[]
required

List of entity IDs to add or remove.

Minimum array length: 1
Example:
["854198fa-f702-49db-a381-0427fa87f173"]

Response

Entities added or removed successfully.

dataset_id
string<uuid>
required

ID of the dataset that was modified.

Example:

"ccabb755-afc2-4047-b84c-78d1f23d49b2"

affected_count
integer
required

Number of entities that were added or removed.

Example:

1